<?xml version="1.0" encoding="UTF-8"?>
<definitions xmlns="http://www.omg.org/spec/BPMN/20100524/MODEL" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:activiti="http://activiti.org/bpmn" xmlns:bpmndi="http://www.omg.org/spec/BPMN/20100524/DI" xmlns:omgdc="http://www.omg.org/spec/DD/20100524/DC" xmlns:omgdi="http://www.omg.org/spec/DD/20100524/DI" typeLanguage="http://www.w3.org/2001/XMLSchema" expressionLanguage="http://www.w3.org/1999/XPath" targetNamespace="sdms">
  <process id="ivu-cancel" name="ivu-cancel" isExecutable="true">
    <startEvent id="startevent1" name="Start"></startEvent>
    <sequenceFlow id="flow1" sourceRef="startevent1" targetRef="servicetask1"></sequenceFlow>
    <endEvent id="endevent1" name="End"></endEvent>
    <serviceTask id="servicetask1" name="Prepare Cancel IVU" activiti:expression="${billingProcessImpl.prepareCancelIvu(execution)}"></serviceTask>
    <serviceTask id="servicetask2" name="Cancel Shipment Item" activiti:expression="${billingProcessImpl.cancelDO(execution)}">
      <multiInstanceLoopCharacteristics isSequential="false" activiti:collection="shipmentItems" activiti:elementVariable="shipmentItem"></multiInstanceLoopCharacteristics>
    </serviceTask>
    <serviceTask id="servicetask3" name="Cancel Item Issuance" activiti:expression="${billingProcessImpl.rollbackItemIssuance(execution)}">
      <multiInstanceLoopCharacteristics isSequential="false" activiti:collection="shipmentItems" activiti:elementVariable="shipmentItem"></multiInstanceLoopCharacteristics>
    </serviceTask>
    <serviceTask id="servicetask5" name="Reset VSO" activiti:expression="${billingProcessImpl.resetVSOToApprove(execution)}">
      <multiInstanceLoopCharacteristics isSequential="false" activiti:collection="orderItems" activiti:elementVariable="orderItem"></multiInstanceLoopCharacteristics>
    </serviceTask>
    <exclusiveGateway id="exclusivegateway1" name="Exclusive Gateway"></exclusiveGateway>
    <sequenceFlow id="flow8" sourceRef="servicetask1" targetRef="exclusivegateway1"></sequenceFlow>
    <endEvent id="endevent2" name="End"></endEvent>
    <sequenceFlow id="flow9" sourceRef="exclusivegateway1" targetRef="endevent2">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${!dataFound}]]></conditionExpression>
    </sequenceFlow>
    <sequenceFlow id="flow16" sourceRef="servicetask5" targetRef="endevent1"></sequenceFlow>
    <sequenceFlow id="flow17" sourceRef="servicetask3" targetRef="servicetask2"></sequenceFlow>
    <dataObject id="billingNumber" name="billingNumber" itemSubjectRef="xsd:string"></dataObject>
    <dataObject id="dataFound" name="dataFound" itemSubjectRef="xsd:boolean">
      <extensionElements>
        <activiti:value>true</activiti:value>
      </extensionElements>
    </dataObject>
    <dataObject id="needApproval" name="needApproval" itemSubjectRef="xsd:boolean">
      <extensionElements>
        <activiti:value>false</activiti:value>
      </extensionElements>
    </dataObject>
    <sequenceFlow id="flow22" sourceRef="servicetask2" targetRef="servicetask6"></sequenceFlow>
    <sequenceFlow id="flow23" sourceRef="servicetask6" targetRef="servicetask5"></sequenceFlow>
    <serviceTask id="servicetask6" name="Rollback Inventory Item" activiti:expression="${billingProcessImpl.rollbackInventoryItem(execution)}">
      <multiInstanceLoopCharacteristics isSequential="false" activiti:collection="inventories" activiti:elementVariable="inventoryItem"></multiInstanceLoopCharacteristics>
    </serviceTask>
    <sequenceFlow id="flow24" sourceRef="exclusivegateway1" targetRef="servicetask3">
      <conditionExpression xsi:type="tFormalExpression"><![CDATA[${dataFound}]]></conditionExpression>
    </sequenceFlow>
  </process>
  <bpmndi:BPMNDiagram id="BPMNDiagram_ivu-cancel">
    <bpmndi:BPMNPlane bpmnElement="ivu-cancel" id="BPMNPlane_ivu-cancel">
      <bpmndi:BPMNShape bpmnElement="startevent1" id="BPMNShape_startevent1">
        <omgdc:Bounds height="35.0" width="35.0" x="92.0" y="201.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="endevent1" id="BPMNShape_endevent1">
        <omgdc:Bounds height="35.0" width="35.0" x="1280.0" y="200.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask1" id="BPMNShape_servicetask1">
        <omgdc:Bounds height="71.0" width="105.0" x="171.0" y="183.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask2" id="BPMNShape_servicetask2">
        <omgdc:Bounds height="71.0" width="105.0" x="710.0" y="182.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask3" id="BPMNShape_servicetask3">
        <omgdc:Bounds height="91.0" width="121.0" x="500.0" y="172.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask5" id="BPMNShape_servicetask5">
        <omgdc:Bounds height="90.0" width="105.0" x="1080.0" y="174.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="exclusivegateway1" id="BPMNShape_exclusivegateway1">
        <omgdc:Bounds height="40.0" width="40.0" x="320.0" y="198.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="endevent2" id="BPMNShape_endevent2">
        <omgdc:Bounds height="35.0" width="35.0" x="323.0" y="300.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNShape bpmnElement="servicetask6" id="BPMNShape_servicetask6">
        <omgdc:Bounds height="81.0" width="105.0" x="903.0" y="177.0"></omgdc:Bounds>
      </bpmndi:BPMNShape>
      <bpmndi:BPMNEdge bpmnElement="flow1" id="BPMNEdge_flow1">
        <omgdi:waypoint x="127.0" y="218.0"></omgdi:waypoint>
        <omgdi:waypoint x="171.0" y="218.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow8" id="BPMNEdge_flow8">
        <omgdi:waypoint x="276.0" y="218.0"></omgdi:waypoint>
        <omgdi:waypoint x="320.0" y="218.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow9" id="BPMNEdge_flow9">
        <omgdi:waypoint x="340.0" y="238.0"></omgdi:waypoint>
        <omgdi:waypoint x="340.0" y="300.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow16" id="BPMNEdge_flow16">
        <omgdi:waypoint x="1185.0" y="219.0"></omgdi:waypoint>
        <omgdi:waypoint x="1280.0" y="217.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow17" id="BPMNEdge_flow17">
        <omgdi:waypoint x="621.0" y="217.0"></omgdi:waypoint>
        <omgdi:waypoint x="710.0" y="217.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow22" id="BPMNEdge_flow22">
        <omgdi:waypoint x="815.0" y="217.0"></omgdi:waypoint>
        <omgdi:waypoint x="903.0" y="217.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow23" id="BPMNEdge_flow23">
        <omgdi:waypoint x="1008.0" y="217.0"></omgdi:waypoint>
        <omgdi:waypoint x="1080.0" y="219.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
      <bpmndi:BPMNEdge bpmnElement="flow24" id="BPMNEdge_flow24">
        <omgdi:waypoint x="360.0" y="218.0"></omgdi:waypoint>
        <omgdi:waypoint x="500.0" y="217.0"></omgdi:waypoint>
      </bpmndi:BPMNEdge>
    </bpmndi:BPMNPlane>
  </bpmndi:BPMNDiagram>
</definitions>